Show / Hide Table of Contents

# Class InventoryItemContext

Provides inventory item context to a context menu.

##### Inheritance

System.Object
InventoryItemContext

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Game.Gui.ContextMenus

###### Assembly: Dalamud.dll

##### Syntax

    public class InventoryItemContext

### Constructors

| Improve this Doc View Source

#### InventoryItemContext(UInt32, UInt32, Boolean)

Initializes a new instance of the InventoryItemContext class.

##### Declaration

    public InventoryItemContext(uint id, uint count, bool isHighQuality)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | id | The id of the item.
System.UInt32 | count | The count of the item in the stack.
System.Boolean | isHighQuality | Whether the item is high quality.

### Properties

| Improve this Doc View Source

#### Count

Gets the count of the item in the stack.

##### Declaration

    public uint Count { get; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Id

Gets the id of the item.

##### Declaration

    public uint Id { get; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### IsHighQuality

Gets a value indicating whether the item is high quality.

##### Declaration

    public bool IsHighQuality { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |